Get My Chain
curl --request GET \
--url https://api.mansa.xyz/api/v2/liquidity/management/chain/me \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.mansa.xyz/api/v2/liquidity/management/chain/me"
headers = {
"x-api-key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.mansa.xyz/api/v2/liquidity/management/chain/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "37361842-8d00-4f85-aaa2-5d0c014f303d",
"chain_blockchain_id": "2494104990",
"is_testnet": false,
"description": null,
"chain_name": "Tron",
"treasury_vault_id": null,
"chain_symbol": "TRX",
"gas_token_id": "a1b2c3d4-0000-0000-0000-ef1234567890",
"gas_token_legacy_id": "TRX",
"funding_token_name": "USDT",
"funding_token_address": "TR7NHqjeKQxGTCi8q8ZY4pL8otSzgjLj6t",
"funding_token_id": "b2c3d4e5-0000-0000-0000-1234567890ab",
"funding_token_legacy_id": "USDT_TRON",
"address_format": "TRON",
"initial_gas_amount": "10",
"is_active": true,
"created_at": "2024-01-15T10:00:00Z",
"updated_at": "2024-01-15T10:00:00Z"
},
"status": 200,
"isSuccess": true
}{
"error": {
"type": "auth_error",
"code": "invalid_token",
"message": "Bearer token is missing or invalid."
}
}{
"error": {
"type": "validation_error",
"code": "resource_not_found",
"message": "The requested resource does not exist."
}
}{
"error": {
"type": "rate_limit_error",
"code": "too_many_requests",
"message": "Too many requests. Please retry with exponential backoff."
}
}{
"error": {
"type": "api_error",
"code": "upstream_dependency_error",
"message": "A dependency failed to process the request."
}
}Management
Get My Chain
Returns the chain configured for your organisation. If you have set a preferred chain it will be returned; otherwise the platform default chain is returned.
GET
/
api
/
v2
/
liquidity
/
management
/
chain
/
me
Get My Chain
curl --request GET \
--url https://api.mansa.xyz/api/v2/liquidity/management/chain/me \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.mansa.xyz/api/v2/liquidity/management/chain/me"
headers = {
"x-api-key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.mansa.xyz/api/v2/liquidity/management/chain/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "37361842-8d00-4f85-aaa2-5d0c014f303d",
"chain_blockchain_id": "2494104990",
"is_testnet": false,
"description": null,
"chain_name": "Tron",
"treasury_vault_id": null,
"chain_symbol": "TRX",
"gas_token_id": "a1b2c3d4-0000-0000-0000-ef1234567890",
"gas_token_legacy_id": "TRX",
"funding_token_name": "USDT",
"funding_token_address": "TR7NHqjeKQxGTCi8q8ZY4pL8otSzgjLj6t",
"funding_token_id": "b2c3d4e5-0000-0000-0000-1234567890ab",
"funding_token_legacy_id": "USDT_TRON",
"address_format": "TRON",
"initial_gas_amount": "10",
"is_active": true,
"created_at": "2024-01-15T10:00:00Z",
"updated_at": "2024-01-15T10:00:00Z"
},
"status": 200,
"isSuccess": true
}{
"error": {
"type": "auth_error",
"code": "invalid_token",
"message": "Bearer token is missing or invalid."
}
}{
"error": {
"type": "validation_error",
"code": "resource_not_found",
"message": "The requested resource does not exist."
}
}{
"error": {
"type": "rate_limit_error",
"code": "too_many_requests",
"message": "Too many requests. Please retry with exponential backoff."
}
}{
"error": {
"type": "api_error",
"code": "upstream_dependency_error",
"message": "A dependency failed to process the request."
}
}
